
public class ListaAdj {
	
	public NoAdj raiz;
	public NoAdj folha;
	
	public ListaAdj() {
		raiz = null;
		folha = null;
	}
	
	public void inserirFim(Adjacente vizinho) {
		
		NoAdj novoNo = new NoAdj(vizinho);
		
		if(raiz == null) {
			
			raiz = novoNo;
			folha = raiz;
			
		}else {
			
			
			folha.prox = novoNo;
			novoNo.ant = folha;
			folha = folha.prox;
			
			
		}
	}
	
	public void inserirComeco(Adjacente vizinho) {
		
		NoAdj novoNo = new NoAdj(vizinho);
		
		if(raiz == null) {
			
			raiz = novoNo;
			folha = raiz;
			
		}else {
			
			novoNo.prox = raiz;
			raiz.ant = novoNo;
			raiz = novoNo;
			
		}
	}
	


	public NoAdj removerFim() {
		
		NoAdj adios = folha;
		
		if(raiz == null) {
			
			
		}else if(raiz == folha) {
			
			raiz = null;
			folha = raiz;
			
		}else {
			
			folha.ant.prox = null;
			folha = folha.ant;
		}
		return adios;
	}
	
	
	public NoAdj removerComeco() {
		
		NoAdj adios = raiz;
		
		if(raiz == null) {
			
			
		}else if(raiz == folha) {
			
			raiz = null;
			folha = raiz;
			
		}else {
			
			raiz = raiz.prox;
		}
		
		return adios;
	}

}
